import { default as React } from 'react';

export type SiteGeneralConfigurationSurfaceProps = {
    /**
     * Content to render within the element.
     */
    children?: React.ReactNode | undefined;
    /**
     * A class property to attach to the element.
     *
     * @see {@link !Element.className}
     */
    className?: string | undefined;
};
/**
 * A container element used to render the Site General Configuration surface. This component will
 * take care of styling your component so it looks good in the **Site configuration > General** section
 * of the Netlify UI.
 *
 * <!-- TODO(ndhoule): Add a screenshot here -->
 *
 * @param props
 * @see Surfaces.SiteGeneralConfiguration
 * @example
 * ```tsx
 * import { SiteGeneralConfigurationSurface } from "@netlify/sdk/react/components";
 *
 * <SiteGeneralConfigurationSurface>
 *   <div>Your surface content goes here</div>
 * </SiteGeneralConfigurationSurface>
 * ```
 */
export declare const SiteGeneralConfigurationSurface: ({ className, children, ...otherProps }: SiteGeneralConfigurationSurfaceProps) => React.JSX.Element;
//# sourceMappingURL=SiteGeneralConfigurationSurface.d.ts.map